/* Horizontal tabs */

body {
    color: black;
    background-color: white;
}

body.dark {
    color: #eee;
    background-color: #111;
}

.menu {
    overflow: hidden;
    border: 1px solid #ccc;
    background-color: #eee;
}

.menu.dark {
    background-color: #222;
}

.styled-button {
    font-family: sans-serif;
    font-size: 0.9em;
    font-weight: 500;
    color: #555;
    text-decoration: none;
    background-color: #eee;
    float: left;
    border: none;
    outline: none;
    cursor: pointer;
    padding: 14px 16px;
    transition: 0s;
}

.styled-button.dark {
    color: #eee;
    background-color: #222;
}

.styled-button:hover {
    background-color: #ddd;
}

.styled-button:hover.dark {
    background-color: #333;
}

.styled-button.active {
	background-color: #ccc;
}

.styled-button.active.dark {
    background-color: #444;
}

.inputfile {
    width: 0.1px;
    height: 0.1px;
    opacity: 0;
    overflow: hidden;
    position: absolute;
    z-index: -1;
}

/* Listbox */

.annotate {
    font-style: italic;
    color: #366ed4;
}

.listbox-area {
    /* padding: 0px 10px;
    background: #eee;
    border: 1px solid #aaa; */
    display: flex;
    flex-direction: row;
}

.main-area {
    padding: 10px;
    border: 1px solid #ccc;
    border-top: none;
    border-bottom: none;
}

.full-page {
    /* margin: 10px; */
    padding: 10px;
    background: #eee;
    border: 1px solid #aaa;
    display: flex;
    flex-direction: row;
    align-items: center;
}

.full-page.dark {
    background-color: #222;
}

.page {
    display: none;
    flex: 1 1 50%;
}

.left-area,
.right-area,
.sprite-area {
    box-sizing: border-box;
    /* display: inline-block; */
    font-size: 14px;
    vertical-align: top;
}

.left-area {
    padding-right: 10px;
    height: 100%;
    cursor: pointer;
    flex: 0 0 20%;
}

.right-area {
    padding: 10px 15px;
    /* width: 80%; */
}

.sprite-area {
    /* padding: 10px; */
    flex: 0 0 256px;
}

[role="listbox"] {
    min-height: 24em;
    padding: 0;
    background-color: white;
    border: 1px solid #aaa;
    max-height: 24em;
    overflow-y: auto;
    position: relative;
    margin: 0;
}

[role="listbox"].dark {
    background-color: #111;
}

[role="option"] {
    display: block;
    padding: 0.2em 1em 0.2em 0.5em;
    position: relative;
    font-family: sans-serif;
    /* line-height: 1em; */
}

[role="option"]:hover {
    background-color: #eee;
}

[role="option"]:hover.dark {
    background-color: #222;
}

[role="option"].focused {
    background: #ddd;
}

[role="option"].focused.dark {
    background: #333;
}

/* Links */

a {
    color: rgb(202, 172, 0);
}

/* Select menus */

select {
    color: #000;
    background-color: #fff;
}

select.dark {
    color: #eee;
    background-color: #111;
}

option {
    color: #000;
    background-color: #eee;
}

option.dark {
    color: #eee;
    background-color: #222;
}

/* Footer */

footer {
    font-size: 75%;
}


/* Section */

.section input {
    width: 60px;
    height: 30px;
    border-radius: 4px;
    text-align: center;
    border-width: 0pt;
    font-family: monospace;
    margin: 2px;
    margin-right: 4px;
}

.description-col {
    font-family: sans-serif;
    padding: 4px;
}

.color-row {
    align-items: center;
    display: flex;
    flex-direction: row;
}


/* Log box */

pre {
    padding: 0px;
    overflow-y: auto;
    min-height: 8em;
    max-height: 8em;
    border: 1px solid #aaa;
}
